%define thunderbird_package thunderbird

%define oname   thunderbird

%define thunderbird_epoch 0
%define thunderbird_version %{version}

%define up_ca_name      thunderbird
%define lib_name        %{up_ca_name}-%{version}
%define mozillalibdir   %{_libdir}/%{lib_name}
%define tb_appid \{3550f703-e582-4d05-9a08-453d09bdfdc6\}
%define tbextdir	%{_datadir}/mozilla/extensions/%{tb_appid}

%define xpidir http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{thunderbird_version}/linux-i686/xpi/

# Supported l10n language lists
%define langlist ar ast be bg bn_BD br ca cs cy da de el en_GB en_US es_AR es_ES et eu fi fr fy_NL ga_IE gd gl he hr hsb hu hy_AM id is it ja ko lt nb_NO nl nn_NO pa_IN pl pt_BR pt_PT rm ro ru si sk sl sq sr sv_SE ta_LK tr uk vi zh_CN zh_TW

# Disabled l10n languages, for any reason
%define disabled_langlist	dsb gu_IN mk rm sr af

# Disabled myspell dicts, for any reason
%define disabled_dict_langlist	ar be br_FR es_AR eu fi fy ga gu_IN he ja ko mk ta_LK tr zh_CN zh_TW

%define use_dict 1

# Language descriptions
%define language_af af
%define langname_af Afrikaans
%define language_ar ar
%define langname_ar Arabic
%define language_ast ast
%define langname_ast Asturian
%define language_be be
%define langname_be Belarusian
%define language_bg bg
%define langname_bg Bulgarian
%define language_bn_BD bn-BD
%define langname_bn_BD Bengali (Bangla)
%define language_br br
%define langname_br Breton
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_cy cy
%define langname_cy Welsh
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_en_GB en-GB
%define langname_en_GB British English
%define language_en_US en-US
%define langname_en_US English (United States)
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es_ES es-ES
%define langname_es_ES Spanish
%define language_et_EE et-EE
%define langname_et_EE Estonian (Magento)
%define language_et et
%define langname_et Estonian
%define language_eu eu
%define langname_eu Basque
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_fy_NL fy-NL
%define langname_fy_NL Frisian
%define language_ga_IE ga-IE
%define langname_ga_IE Irish
%define language_gd gd
%define langname_gd Scottish Gaelic
%define language_gl gl
%define langname_gl Galician
%define language_gu_IN gu-IN
%define langname_gu_IN Gujarati
%define language_he he
%define langname_he Hebrew
%define language_hr hr
%define langname_hr Croatian
%define language_hsb hsb
%define langname_hsb Upper Sorbian
%define language_hu hu
%define langname_hu Hungarian
%define language_hy_AM hy-AM
%define langname_hy_AM Armenian
%define language_id id
%define langname_id Indonesian
%define language_is is
%define langname_is Icelandic
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_ka ka
%define langname_ka Georgian
%define language_ko ko
%define langname_ko Korean
%define language_lt lt
%define langname_lt Lithuanian
%define language_mk mk
%define langname_mk Macedonian
%define language_nb_NO nb-NO
%define langname_nb_NO Norwegian Bokmaal
%define language_nn_NO nn-NO
%define langname_nn_NO Norwegian Nynorsk
%define language_nl nl
%define langname_nl Dutch
%define language_pa_IN pa-IN
%define langname_pa_IN Punjabi (gurmukhi)
%define language_pl pl
%define langname_pl Polish
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_rm rm
%define langname_rm Romansh
%define language_ro ro
%define langname_ro Romanian
%define language_ru ru
%define langname_ru Russian
%define language_si si
%define langname_si Sinhala
%define language_sk sk
%define langname_sk Slovak
%define language_sq sq
%define langname_sq Albanian
%define language_sl sl
%define langname_sl Slovenian
%define language_sr sr
%define langname_sr Serbian
%define language_sv_SE sv-SE
%define langname_sv_SE Swedish
%define language_ta_LK ta-LK
%define langname_ta_LK Tamil (Sri-Lanka)
%define language_tr tr
%define langname_tr Turkish
%define language_uk uk
%define langname_uk Ukrainian
%define language_vi vi
%define langname_vi Vietnamese
%define language_zh_CN zh-CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese

# --- Danger line ---

# Defaults (all languages enabled by default)
# l10n
%{expand:%(for lang in %langlist; do echo "%%global with_$lang 1"; done)}
%{expand:%(for lang in %disabled_langlist; do echo "%%global with_$lang 0"; done)}
# dicts
%{expand:%(for lang in %langlist; do echo "%%global with_dict_$lang %{use_dict}"; done)}
%{expand:%(for lang in %disabled_dict_langlist; do echo "%%global with_dict_$lang 0"; done)}

# Locales
%{expand:%(for lang in %langlist; do echo "%%global locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

%if %use_dict
# hunspell dicts, allows setting preferences between several providers.
%{expand:%(for lang in %langlist; do echo "%%global hunspell_$lang hunspell-$lang"; done)}
%endif

Summary: Localizations for Thunderbird (virtual package)
Name: thunderbird-l10n
Version: 38.7.2
Release: %mkrel 1
License: GPL
Group: System/Internationalization
Url: http://www.mozilla.org/
BuildArch: noarch
BuildRequires: libxml2-utils
# Language package template
Source0: %{name}-template.in
# l10n sources
%{expand:%(\
	i=1;\
	for lang in %langlist; do\
		echo "%%{expand:Source$i: %{xpidir}/%%{language_$lang}.xpi}";\
		i=$[i+1];\
	done\
	)
}

%description
Localizations for Thunderbird


# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%prep
%setup -q -c -T

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "locale_$lang=%%{locale_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "dict_$lang=%%{with_dict_$lang}"; done)}

# Unpack all languages
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	language="language_$lang"
	language=${!language}

	locale="locale_$lang"
	locale=${!locale}

	# l10n
	mkdir ${language}
	cd ${language}
	unzip -qq %{_sourcedir}/${language}.xpi
	cd ..

	# dict
	dict="dict_$lang"
	dict=${!dict}
	[ $dict -eq 0 ] && continue

done

# Patches

%check
# All install.rdf files must validate
xmllint --noout */install.rdf

%install
# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "dict_$lang=%%{with_dict_$lang}"; done)}

# Create dicts dir
%if %use_dict
mkdir -p %buildroot%{mozillalibdir}/dictionaries
%endif

mkdir -p %buildroot%{tbextdir}

# Install all languages
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	language="language_$lang"
	language=${!language}

	# l10n
	cp %_sourcedir/${language}.xpi  %buildroot%{tbextdir}/langpack-${language}@thunderbird.mozilla.org.xpi

done


%changelog
* Tue Apr 05 2016 doktor5000 <doktor5000> 38.7.2-1.mga5
+ Revision: 998786
- 38.7.2
- 38.7.1
- 38.7.0

  + luigiwalser <luigiwalser>
    - 38.6.0
    - 38.5.0
    - 38.4.0
    - 38.3.0
    - 38.2.0
    - 38.1.0
    - enable nb_NO and nn_NO languages (corresponding locales are virtual provides)
    - 38.0.1

* Thu May 14 2015 luigiwalser <luigiwalser> 31.7.0-1.mga5
+ Revision: 822082
- 31.7.0

* Wed Apr 01 2015 luigiwalser <luigiwalser> 31.6.0-1.mga5
+ Revision: 819511
- 31.6.0

* Tue Feb 24 2015 luigiwalser <luigiwalser> 31.5.0-1.mga5
+ Revision: 816828
- 31.5.0

* Tue Jan 13 2015 luigiwalser <luigiwalser> 31.4.0-1.mga5
+ Revision: 810556
- 31.4.0

* Tue Dec 02 2014 luigiwalser <luigiwalser> 31.3.0-1.mga5
+ Revision: 800268
- 31.3.0

* Wed Oct 15 2014 luigiwalser <luigiwalser> 31.2.0-1.mga5
+ Revision: 755982
- 31.2.0

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 31.1.0-2.mga5
+ Revision: 689876
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 fwang <fwang> 31.1.0-1.mga5
+ Revision: 670869
- 31.1.0

* Mon Aug 25 2014 doktor5000 <doktor5000> 31.0-2.mga5
+ Revision: 667389
- try to fix mga#1344 (automatic installation of proper -l10n package)
  o thunderbird-l10n-XX package should be installed according
    to installed locales-XX package

* Wed Jul 23 2014 fwang <fwang> 31.0-1.mga5
+ Revision: 655841
- fix define
- expand
- 31.0

* Tue Jun 10 2014 luigiwalser <luigiwalser> 24.6.0-1.mga5
+ Revision: 635444
- 24.6.0

* Tue Apr 29 2014 fwang <fwang> 24.5.0-1.mga5
+ Revision: 618803
- 24.5.0

* Tue Mar 18 2014 luigiwalser <luigiwalser> 24.4.0-1.mga5
+ Revision: 605085
- 24.4.0

* Wed Feb 05 2014 fwang <fwang> 24.3.0-1.mga5
+ Revision: 583096
- 24.3.0

* Wed Dec 18 2013 oden <oden> 24.2.0-1.mga4
+ Revision: 558409
- 24.2.0

* Wed Oct 30 2013 oden <oden> 24.1.0-1.mga4
+ Revision: 548053
- 24.1.0

* Tue Oct 22 2013 umeabot <umeabot> 24.0.1-2.mga4
+ Revision: 541354
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 24.0.1-1.mga4
+ Revision: 495660
- new version 24.0.1

* Mon Sep 23 2013 fwang <fwang> 24.0-1.mga4
+ Revision: 483909
- new version 24.0

* Sat Sep 14 2013 fwang <fwang> 17.0.9-1.mga4
+ Revision: 478755
- new version 17.0.9esr

* Mon Aug 05 2013 fwang <fwang> 17.0.8-1.mga4
+ Revision: 463775
- new version 17.0.8esr

* Tue Jun 25 2013 fwang <fwang> 17.0.7-1.mga4
+ Revision: 446502
- new version 17.0.7esr

* Wed May 15 2013 fwang <fwang> 17.0.6-1.mga4
+ Revision: 413243
- SILNET: update tarball
- new version 17.0.6esr

* Tue Apr 02 2013 fwang <fwang> 17.0.5-1.mga3
+ Revision: 407111
- new version 17.0.5esr

* Mon Mar 11 2013 fwang <fwang> 17.0.4-1.mga3
+ Revision: 402101
- new version 17.0.4

* Wed Feb 20 2013 fwang <fwang> 17.0.3-2.mga3
+ Revision: 399569
- SILNET: bump rel to upgrading from mga2
- new version 17.0.3esr

* Thu Jan 24 2013 fwang <fwang> 17.0.2-3.mga3
+ Revision: 391949
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 17.0.2-2.mga3
+ Revision: 384548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 17.0.2-1.mga3
+ Revision: 343486
- new version 17.0.2esr

* Wed Nov 21 2012 fwang <fwang> 17.0-2.mga3
+ Revision: 319982
- update requires

* Wed Nov 21 2012 fwang <fwang> 17.0-1.mga3
+ Revision: 319958
- new version 17.0esr

* Tue Oct 30 2012 fwang <fwang> 16.0.2-1.mga3
+ Revision: 311558
- new version 16.0.2

  + malo <malo>
    - fix RPM group

* Fri Oct 12 2012 fwang <fwang> 16.0.1-1.mga3
+ Revision: 304779
- new version 16.0.1

* Thu Oct 11 2012 fwang <fwang> 16.0-1.mga3
+ Revision: 304578
- new version 16.0

* Sun Sep 09 2012 fwang <fwang> 15.0.1-1.mga3
+ Revision: 290939
- new version 15.0.1

* Tue Aug 28 2012 fwang <fwang> 15.0-1.mga3
+ Revision: 284931
- new version 15.0

* Wed Jul 18 2012 fwang <fwang> 14.0-1.mga3
+ Revision: 272211
- new version 14.0

* Sat Jun 16 2012 fwang <fwang> 13.0.1-1.mga3
+ Revision: 260910
- new version 13.0.1

* Thu Jun 07 2012 fwang <fwang> 13.0-1.mga3
+ Revision: 256742
- new version 13.0

* Tue Jun 05 2012 fwang <fwang> 10.0.5-1.mga3
+ Revision: 255763
- new version 10.0.5esr

* Fri Apr 27 2012 fwang <fwang> 10.0.4-2.mga2
+ Revision: 233450
- update lang list: enable ar, disable rm, disable ta_LK spell dict

* Thu Apr 26 2012 doktor5000 <doktor5000> 10.0.4-1.mga2
+ Revision: 233388
- new version 10.0.4 ESR
- updated language packs

* Wed Apr 18 2012 kamil <kamil> 10.0.3-2.mga2
+ Revision: 231289
- prepare package against hunspell dictionaries

  + fwang <fwang>
    - there is no need obsolete itself

* Thu Mar 15 2012 fwang <fwang> 10.0.3-1.mga2
+ Revision: 223441
- new version 10.0.3esr

* Wed Feb 22 2012 fwang <fwang> 10.0.2-2.mga2
+ Revision: 211775
- correct obsoletes for upgrading from mga1
- new version 10.0.2esr

* Tue Feb 14 2012 fwang <fwang> 10.0.1-2.mga2
+ Revision: 208731
- new version 10.0.1 esr

* Mon Feb 13 2012 fwang <fwang> 10.0.1-1.mga2
+ Revision: 208385
- new version 10.0.1

  + anssi <anssi>
    - suggest firefox-ext-mozvoikko in fi subpackage for Finnish spell-checking

* Wed Feb 01 2012 fwang <fwang> 10.0-1.mga2
+ Revision: 203820
- new version 10.0

* Sat Dec 24 2011 fwang <fwang> 9.0.1-1.mga2
+ Revision: 187215
- new version 9.0.1
- rename to thunderbird-l10n

* Wed Dec 21 2011 fwang <fwang> 9.0-1.mga2
+ Revision: 185438
- new version 9.0

* Sat Oct 01 2011 fwang <fwang> 7.0.1-1.mga2
+ Revision: 150612
- new version 7.0.1

* Wed Sep 28 2011 fwang <fwang> 7.0-1.mga2
+ Revision: 149811
- new version 7.0

* Wed Sep 07 2011 fwang <fwang> 6.0.2-1.mga2
+ Revision: 140883
- new version 6.0.2

* Wed Aug 31 2011 fwang <fwang> 6.0.1-1.mga2
+ Revision: 136941
- new version 6.0.1
- do not expand xpi any more
- new version 6.0
- updated langlist
- new version 5.0

* Wed Jun 22 2011 fwang <fwang> 3.1.11-1.mga2
+ Revision: 111848
- new version 3.1.11
- cleanup sources

  + gil <gil>
    - update to 3.1.11
    - update to 3.1.11

* Fri Apr 29 2011 ahmad <ahmad> 3.1.10-1.mga1
+ Revision: 93467
- Update to 3.1.10

* Sat Mar 05 2011 ahmad <ahmad> 3.1.9-1.mga1
+ Revision: 64595
- update to 3.1.9

* Tue Mar 01 2011 ahmad <ahmad> 3.1.8-1.mga1
+ Revision: 62415
- update to 3.1.8

* Mon Feb 28 2011 dmorgan <dmorgan> 3.1.7-2.mga1
+ Revision: 61587
- Remove md macros
- Remove md macros

  + ennael <ennael>
    - imported package mozilla-thunderbird-l10n

